import { PublicKey } from "@solana/web3.js";
import { MarketConfig } from "./type";
export declare const MARKET: {
    main: {
        name: string;
        programId: PublicKey;
        marketId: PublicKey;
        authorityId: PublicKey;
        larixOracleProgramId: PublicKey;
        mineMint: PublicKey;
        mineSupply: PublicKey;
        bridgeProgramId: PublicKey;
        larixLookProgramId: PublicKey;
        larixLookPoolId: PublicKey;
        reserves: {
            name: string;
            fullName: string;
            reserveId: PublicKey;
            larixOraclePriceId: PublicKey;
        }[];
        lpReserves: {
            name: string;
            fullName: string;
            reserveId: PublicKey;
            ammID: PublicKey;
            lpMint: PublicKey;
            coinMintPrice: PublicKey;
            pcMintPrice: PublicKey;
            ammOpenOrders: PublicKey;
            ammCoinMintSupply: PublicKey;
            ammPcMintSupply: PublicKey;
            farmPoolID: PublicKey;
            farmPoolLpSupply: PublicKey;
            farmPoolProgramId: PublicKey;
            farmPoolAuthority: PublicKey;
            farmRewardVault: PublicKey;
            farmRewardVaultB: PublicKey;
            rewardA: string;
            rewardB: string;
            version: number;
        }[];
    };
    bonfida: {
        name: string;
        programId: PublicKey;
        marketId: PublicKey;
        authorityId: PublicKey;
        larixOracleProgramId: PublicKey;
        mineSupply: PublicKey;
        mineMint: PublicKey;
        reserves: {
            name: string;
            fullName: string;
            reserveId: PublicKey;
            larixOraclePriceId: PublicKey;
        }[];
    };
    xsol: {
        name: string;
        programId: PublicKey;
        marketId: PublicKey;
        authorityId: PublicKey;
        larixOracleProgramId: PublicKey;
        mineSupply: PublicKey;
        mineMint: PublicKey;
        reserves: {
            name: string;
            fullName: string;
            reserveId: PublicKey;
            larixOraclePriceId: PublicKey;
        }[];
    };
    larix: {
        name: string;
        programId: PublicKey;
        marketId: PublicKey;
        authorityId: PublicKey;
        larixOracleProgramId: PublicKey;
        mineSupply: PublicKey;
        mineMint: PublicKey;
        reserves: {
            name: string;
            fullName: string;
            reserveId: PublicKey;
            larixOraclePriceId: PublicKey;
        }[];
    };
    stepn: {
        name: string;
        programId: PublicKey;
        marketId: PublicKey;
        authorityId: PublicKey;
        larixOracleProgramId: PublicKey;
        mineSupply: PublicKey;
        mineMint: PublicKey;
        reserves: {
            name: string;
            fullName: string;
            reserveId: PublicKey;
            larixOraclePriceId: PublicKey;
        }[];
    };
    step: {
        name: string;
        programId: PublicKey;
        marketId: PublicKey;
        authorityId: PublicKey;
        larixOracleProgramId: PublicKey;
        mineSupply: PublicKey;
        mineMint: PublicKey;
        reserves: {
            name: string;
            fullName: string;
            reserveId: PublicKey;
            larixOraclePriceId: PublicKey;
        }[];
    };
};
export declare const MARKETS: MarketConfig[];
