"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MARKETS = exports.MARKET = void 0;
const web3_js_1 = require("@solana/web3.js");
exports.MARKET = {
    main: {
        name: "main",
        programId: new web3_js_1.PublicKey("7Zb1bGi32pfsrBkzWdqd4dFhUXwp5Nybr1zuaEwN34hy"),
        marketId: new web3_js_1.PublicKey("5geyZJdffDBNoMqEbogbPvdgH9ue7NREobtW8M3C1qfe"),
        authorityId: new web3_js_1.PublicKey("BxnUi6jyYbtEEgkBq4bPLKzDpSfWVAzgyf3TF2jfC1my"),
        larixOracleProgramId: new web3_js_1.PublicKey("GMjBguH3ceg9wAHEMdY5iZnvzY6CgBACBDvkWmjR7upS"),
        mineMint: new web3_js_1.PublicKey("Lrxqnh6ZHKbGy3dcrCED43nsoLkM1LTzU2jRfWe8qUC"),
        mineSupply: new web3_js_1.PublicKey("HCUZ8TiRfFcXAwCMEeTrirfrGCB1jB2KAocTi1jbfHrd"),
        bridgeProgramId: new web3_js_1.PublicKey("66TSa2MG2MMzYSesUAwKdf5SZ72wteTY1En1bzVNC9r1"),
        larixLookProgramId: new web3_js_1.PublicKey("F96ZqjQ88f8cvXoJ2oK8x13BEagMBTXxhHP7PbJDBs2"),
        larixLookPoolId: new web3_js_1.PublicKey("A9DHkJu6nMumnL7T9pbwMMkbzKi4pJAx2QjJL6XL2wsp"),
        reserves: [
            {
                name: "USDT",
                fullName: "USDT",
                reserveId: new web3_js_1.PublicKey("DC832AzxQMGDaVLGiRQfRCkyXi6PUPjQyQfMbVRRjtKA"),
                larixOraclePriceId: new web3_js_1.PublicKey("269apCw3MSNgFUeoW99hhAoAWyCArtDAAB39pzZYRdNx")
            },
            {
                name: "USDC",
                fullName: "USDC",
                reserveId: new web3_js_1.PublicKey("Emq1qT9MyyB5eHfftF5thYme84hoEwh4TCjm31K2Xxif"),
                larixOraclePriceId: new web3_js_1.PublicKey("7RhdnRymb4TqTYLM5bH7cALj86EZX2sFxH8KYUbhUmLB")
            },
            {
                name: "BTC",
                fullName: "BTC",
                reserveId: new web3_js_1.PublicKey("9oxCAYbaien8bqjhsGpfVGEV32GJyQ8fSRMsPzczHTEb"),
                larixOraclePriceId: new web3_js_1.PublicKey("9Hsq93xKsqeUf9b6PkiNDyr79BWphXPgxJ3KUoT4uLni")
            },
            {
                name: "soETH",
                fullName: "soETH",
                reserveId: new web3_js_1.PublicKey("Egw1PCmsm3kAWnFtKFCJkTwi2EMfBi5P4Zfz6iURonFh"),
                larixOraclePriceId: new web3_js_1.PublicKey("5KfiXEBkw745gSyEdmCJEbFEjVPqZCUDXgETycQrMA4n")
            },
            {
                name: "SOL",
                fullName: "SOL",
                reserveId: new web3_js_1.PublicKey("2RcrbkGNcfy9mbarLCCRYdW3hxph7pSbP38x35MR2Bjt"),
                larixOraclePriceId: new web3_js_1.PublicKey("4b48cC9RJwmLxGSPZGgPSh2qdQfwqzsxp2AZRyAdtHSo")
            },
            {
                name: "mSOL",
                fullName: "mSOL",
                reserveId: new web3_js_1.PublicKey("GaX5diaQz7imMTeNYs5LPAHX6Hq1vKtxjBYzLkjXipMh"),
                larixOraclePriceId: new web3_js_1.PublicKey("4b48cC9RJwmLxGSPZGgPSh2qdQfwqzsxp2AZRyAdtHSo")
            },
            {
                name: "soFTT",
                fullName: "soFTT",
                reserveId: new web3_js_1.PublicKey("AwL4nHEPDKL7GW91czV4dUAp72kAwMBq1kBvexUYDBMm"),
                larixOraclePriceId: new web3_js_1.PublicKey("14QSoduiLpjG74sN1CT5rLZPKafx5FaEgcFC2WRp2wK2")
            },
            {
                name: "SRM",
                fullName: "SRM",
                reserveId: new web3_js_1.PublicKey("9xdoHwJr4tD2zj3QVpWrzafBKgLZUQWZ2UYPkqyAhQf6"),
                larixOraclePriceId: new web3_js_1.PublicKey("41qU3QVbNvJGJHRYS8zfNUrPJBUPQNtQD4DgABuPCeVH")
            },
            {
                name: "RAY",
                fullName: "RAY",
                reserveId: new web3_js_1.PublicKey("7PwLriJiW2hRdviqnCEAHwvL21kptG1gs4jrZPqr3uMf"),
                larixOraclePriceId: new web3_js_1.PublicKey("GriuPR5KrTr64rfvVmvMcMdEbiynoNddfMT9BSdFZG2X")
            },
            {
                name: "ETH",
                fullName: "ETH",
                reserveId: new web3_js_1.PublicKey("3GixAiDQgnCkMG6JDA1mxnDPHGjYkrNhWSYjLPzzN3Bs"),
                larixOraclePriceId: new web3_js_1.PublicKey("5KfiXEBkw745gSyEdmCJEbFEjVPqZCUDXgETycQrMA4n")
            },
            {
                name: "stSOL",
                fullName: "stSOL",
                reserveId: new web3_js_1.PublicKey("FStv7oj29DghUcCRDRJN9sEkB4uuh4SqWBY9pvSQ4Rch"),
                larixOraclePriceId: new web3_js_1.PublicKey("4b48cC9RJwmLxGSPZGgPSh2qdQfwqzsxp2AZRyAdtHSo")
            },
            {
                name: "FTT",
                fullName: "FTT",
                reserveId: new web3_js_1.PublicKey("ErwYs9UCVik6oLKTZgM5TYLMYU2JTVARVawwJKxMEqbp"),
                larixOraclePriceId: new web3_js_1.PublicKey("14QSoduiLpjG74sN1CT5rLZPKafx5FaEgcFC2WRp2wK2")
            },
            {
                name: "UST",
                fullName: "UST(Wormhole)",
                reserveId: new web3_js_1.PublicKey("4JZs57NTqFPJxNX4HpqjsF9oKtnZnK3fJ7jyuUhnnh6o"),
                larixOraclePriceId: new web3_js_1.PublicKey("269apCw3MSNgFUeoW99hhAoAWyCArtDAAB39pzZYRdNx")
            }
        ],
        lpReserves: [
            {
                name: "mSOL-USDC",
                fullName: "Raydium mSOL-USDC",
                reserveId: new web3_js_1.PublicKey("DmQn7amR56RdyztqgmdrHF3ZZt7GRUwZUZF4ysRq29Nd"),
                ammID: new web3_js_1.PublicKey("ZfvDXXUhZDzDVsapffUyXHj9ByCoPjP4thL6YXcZ9ix"),
                lpMint: new web3_js_1.PublicKey("4xTpJ4p76bAeggXoYywpCCNKfJspbuRzZ79R7pRhbqSf"),
                coinMintPrice: new web3_js_1.PublicKey("4b48cC9RJwmLxGSPZGgPSh2qdQfwqzsxp2AZRyAdtHSo"),
                pcMintPrice: new web3_js_1.PublicKey("7RhdnRymb4TqTYLM5bH7cALj86EZX2sFxH8KYUbhUmLB"),
                ammOpenOrders: new web3_js_1.PublicKey("4zoatXFjMSirW2niUNhekxqeEZujjC1oioKCEJQMLeWF"),
                ammCoinMintSupply: new web3_js_1.PublicKey("8JUjWjAyXTMB4ZXcV7nk3p6Gg1fWAAoSck7xekuyADKL"),
                ammPcMintSupply: new web3_js_1.PublicKey("DaXyxj42ZDrp3mjrL9pYjPNyBp5P8A2f37am4Kd4EyrK"),
                farmPoolID: new web3_js_1.PublicKey('DjtZxyFBgifzpaZEzfsWXogNX5zUCnTRXJqarGe9CiSv'),
                farmPoolLpSupply: new web3_js_1.PublicKey("HUM5nLWT94iRQRQ7GSsjJ1DDWqWKhKfdGQCJCf7SypeD"),
                farmPoolProgramId: new web3_js_1.PublicKey("9KEPoZmtHUrBbhWN1v1KWLMkkvwY6WLtAVUCPRtRjP4z"),
                farmPoolAuthority: new web3_js_1.PublicKey("AcTRjdD3x4ZHzKGaApVo2RdJ7Rm7f2kaheCiDEjSr1xe"),
                farmRewardVault: new web3_js_1.PublicKey("A5W9spnyknywKui1vudnxUomdnebrZVUnjKW6BHgUdyz"),
                farmRewardVaultB: new web3_js_1.PublicKey("JE9PvgvXMnVfBkCdwJU4id1w2BaxTuxheKKFdBfRiJZi"),
                rewardA: "",
                rewardB: "MNDE",
                version: 5,
            },
            {
                name: "mSOL-USDT",
                fullName: "Raydium mSOL-USDT",
                reserveId: new web3_js_1.PublicKey("8e3qLgXHdNYFNY5xcNTn34H9bRb1mhRJmRva6VwnpmWe"),
                ammID: new web3_js_1.PublicKey("BhuMVCzwFVZMSuc1kBbdcAnXwFg9p4HJp7A9ddwYjsaF"),
                lpMint: new web3_js_1.PublicKey("69NCmEW9mGpiWLjAcAWHq51k4ionJZmzgRfRT3wQaCCf"),
                coinMintPrice: new web3_js_1.PublicKey("4b48cC9RJwmLxGSPZGgPSh2qdQfwqzsxp2AZRyAdtHSo"),
                pcMintPrice: new web3_js_1.PublicKey("269apCw3MSNgFUeoW99hhAoAWyCArtDAAB39pzZYRdNx"),
                ammOpenOrders: new web3_js_1.PublicKey("67xxC7oyzGFMVX8AaAHqcT3UWpPt4fMsHuoHrHvauhog"),
                ammCoinMintSupply: new web3_js_1.PublicKey("FaoMKkKzMDQaURce1VLewT6K38F6FQS5UQXD1mTXJ2Cb"),
                ammPcMintSupply: new web3_js_1.PublicKey("GE8m3rHHejrNf4jE96n5gzMmLbxTfPPcmv9Ppaw24FZa"),
                farmPoolID: new web3_js_1.PublicKey('HxhxYASqdLcR6yehT9hB9HUpgcF1R2t9HtkHdngGZ2Dh'),
                farmPoolProgramId: new web3_js_1.PublicKey("9KEPoZmtHUrBbhWN1v1KWLMkkvwY6WLtAVUCPRtRjP4z"),
                farmPoolAuthority: new web3_js_1.PublicKey("FGJKdv7Wm1j75cBsj7FsZU256fhDSYVTwYkzFQ3sVQqg"),
                farmPoolLpSupply: new web3_js_1.PublicKey("CxY6pDZxPr8VAArC427NQficTpKEm3VxTVZEZQdQFexZ"),
                farmRewardVault: new web3_js_1.PublicKey("94zGzNAzv2xU8YW3uHYkiysjG9Qw2gCv7wx9tye1uYbE"),
                farmRewardVaultB: new web3_js_1.PublicKey("8mJzCGURgpUDLnB3qaSQt3xyM7MEKpPcvzXxWTGCQbTb"),
                rewardA: "",
                rewardB: "MNDE",
                version: 5,
            },
            {
                name: "SOL-USDC",
                fullName: "Raydium SOL-USDC",
                reserveId: new web3_js_1.PublicKey("7XbqSGrgrWfs2HErvGt3k9vHPBDGHRHSKtz5UxfK2DfH"),
                farmPoolID: new web3_js_1.PublicKey('GUzaohfNuFbBqQTnPgPSNciv3aUvriXYjQduRE3ZkqFw'),
                ammID: new web3_js_1.PublicKey("58oQChx4yWmvKdwLLZzBi4ChoCc2fqCUWBkwMihLYQo2"),
                lpMint: new web3_js_1.PublicKey("8HoQnePLqPj4M7PUDzfw8e3Ymdwgc7NLGnaTUapubyvu"),
                coinMintPrice: new web3_js_1.PublicKey("4b48cC9RJwmLxGSPZGgPSh2qdQfwqzsxp2AZRyAdtHSo"),
                pcMintPrice: new web3_js_1.PublicKey("7RhdnRymb4TqTYLM5bH7cALj86EZX2sFxH8KYUbhUmLB"),
                ammOpenOrders: new web3_js_1.PublicKey("HRk9CMrpq7Jn9sh7mzxE8CChHG8dneX9p475QKz4Fsfc"),
                ammCoinMintSupply: new web3_js_1.PublicKey("DQyrAcCrDXQ7NeoqGgDCZwBvWDcYmFCjSb9JtteuvPpz"),
                ammPcMintSupply: new web3_js_1.PublicKey("HLmqeL62xR1QoZ1HKKbXRrdN1p3phKpxRMb2VVopvBBz"),
                farmPoolProgramId: new web3_js_1.PublicKey("9KEPoZmtHUrBbhWN1v1KWLMkkvwY6WLtAVUCPRtRjP4z"),
                farmPoolAuthority: new web3_js_1.PublicKey("DgbCWnbXg43nmeiAveMCkUUPEpAr3rZo3iop3TyP6S63"),
                farmPoolLpSupply: new web3_js_1.PublicKey("J6ECnRDZEXcxuruvErXDWsPZn9czowKynUr9eDSQ4QeN"),
                farmRewardVault: new web3_js_1.PublicKey("38YS2N7VUb856QDsXHS1h8zv5556YgEy9zKbbL2mefjf"),
                farmRewardVaultB: new web3_js_1.PublicKey("ANDJUfDryy3jY6DngwGRXVyxCJBT5JfojLDXwZYSpnEL"),
                rewardA: "RAY",
                rewardB: "",
                version: 5,
            },
            {
                name: "RAY-SOL",
                fullName: "Raydium RAY-SOL",
                reserveId: new web3_js_1.PublicKey("9ceTcxt18KiZyqXJDqDBiZSbm2iPhGjLwXKnHZYZiF87"),
                farmPoolID: new web3_js_1.PublicKey('HUDr9BDaAGqi37xbQHzxCyXvfMCKPTPNF8g9c9bPu1Fu'),
                ammID: new web3_js_1.PublicKey("AVs9TA4nWDzfPJE9gGVNJMVhcQy3V9PGazuz33BfG2RA"),
                lpMint: new web3_js_1.PublicKey("89ZKE4aoyfLBe2RuV6jM3JGNhaV18Nxh8eNtjRcndBip"),
                coinMintPrice: new web3_js_1.PublicKey("GriuPR5KrTr64rfvVmvMcMdEbiynoNddfMT9BSdFZG2X"),
                pcMintPrice: new web3_js_1.PublicKey("4b48cC9RJwmLxGSPZGgPSh2qdQfwqzsxp2AZRyAdtHSo"),
                ammOpenOrders: new web3_js_1.PublicKey("6Su6Ea97dBxecd5W92KcVvv6SzCurE2BXGgFe9LNGMpE"),
                ammCoinMintSupply: new web3_js_1.PublicKey("Em6rHi68trYgBFyJ5261A2nhwuQWfLcirgzZZYoRcrkX"),
                ammPcMintSupply: new web3_js_1.PublicKey("3mEFzHsJyu2Cpjrz6zPmTzP7uoLFj9SbbecGVzzkL1mJ"),
                farmPoolProgramId: new web3_js_1.PublicKey("EhhTKczWMGQt46ynNeRX1WfeagwwJd7ufHvCDjRxjo5Q"),
                farmPoolAuthority: new web3_js_1.PublicKey("9VbmvaaPeNAke2MAL3h2Fw82VubH1tBCzwBzaWybGKiG"),
                farmPoolLpSupply: new web3_js_1.PublicKey("A4xQv2BQPB1WxsjiCC7tcMH7zUq255uCBkevFj8qSCyJ"),
                farmRewardVault: new web3_js_1.PublicKey("6zA5RAQYgazm4dniS8AigjGFtRi4xneqjL7ehrSqCmhr"),
                farmRewardVaultB: new web3_js_1.PublicKey("6zA5RAQYgazm4dniS8AigjGFtRi4xneqjL7ehrSqCmhr"),
                rewardA: "",
                rewardB: "RAY",
                version: 3,
            },
            {
                name: "SOL-USDT",
                fullName: "Raydium SOL-USDT",
                reserveId: new web3_js_1.PublicKey("AbPtGMVG2XpC7cxqW5hWR6EnaTqKnfpYbzpxeKAmLEUr"),
                ammID: new web3_js_1.PublicKey("7XawhbbxtsRcQA8KTkHT9f9nc6d69UwqCDh6U5EEbEmX"),
                lpMint: new web3_js_1.PublicKey("Epm4KfTj4DMrvqn6Bwg2Tr2N8vhQuNbuK8bESFp4k33K"),
                coinMintPrice: new web3_js_1.PublicKey("4b48cC9RJwmLxGSPZGgPSh2qdQfwqzsxp2AZRyAdtHSo"),
                pcMintPrice: new web3_js_1.PublicKey("269apCw3MSNgFUeoW99hhAoAWyCArtDAAB39pzZYRdNx"),
                ammOpenOrders: new web3_js_1.PublicKey("4NJVwEAoudfSvU5kdxKm5DsQe4AAqG6XxpZcNdQVinS4"),
                ammCoinMintSupply: new web3_js_1.PublicKey("876Z9waBygfzUrwwKFfnRcc7cfY4EQf6Kz1w7GRgbVYW"),
                ammPcMintSupply: new web3_js_1.PublicKey("CB86HtaqpXbNWbq67L18y5x2RhqoJ6smb7xHUcyWdQAQ"),
                farmPoolID: new web3_js_1.PublicKey('5r878BSWPtoXgnqaeFJi7BCycKZ5CodBB2vS9SeiV8q'),
                farmPoolProgramId: new web3_js_1.PublicKey("9KEPoZmtHUrBbhWN1v1KWLMkkvwY6WLtAVUCPRtRjP4z"),
                farmPoolAuthority: new web3_js_1.PublicKey("DimG1WK9N7NdbhddweGTDDBRaBdCmcbPtoWZJ4Fi4rn4"),
                farmPoolLpSupply: new web3_js_1.PublicKey("jfhZy3B6sqeu95z71GukkxpkDtfHXJiFAMULM6STWxb"),
                farmRewardVault: new web3_js_1.PublicKey("Bgj3meVYds8ficJc9xntbjmMBPVUuyn6CvDUm1AD39yq"),
                farmRewardVaultB: new web3_js_1.PublicKey("DJifNDjNt7iHbkNHs9V6Wm5pdiuddtF9w3o4WEiraKrP"),
                rewardA: "RAY",
                rewardB: "",
                version: 5,
            },
            {
                name: "RAY-soETH",
                fullName: "Raydium RAY-soETH",
                reserveId: new web3_js_1.PublicKey("By2vzoMtUjtziiUZkBd4V5pwFNKeEz4XeZsBXBLGPtoL"),
                ammID: new web3_js_1.PublicKey("8iQFhWyceGREsWnLM8NkG9GC8DvZunGZyMzuyUScgkMK"),
                lpMint: new web3_js_1.PublicKey("mjQH33MqZv5aKAbKHi8dG3g3qXeRQqq1GFcXceZkNSr"),
                coinMintPrice: new web3_js_1.PublicKey("GriuPR5KrTr64rfvVmvMcMdEbiynoNddfMT9BSdFZG2X"),
                pcMintPrice: new web3_js_1.PublicKey("5KfiXEBkw745gSyEdmCJEbFEjVPqZCUDXgETycQrMA4n"),
                ammOpenOrders: new web3_js_1.PublicKey("7iztHknuo7FAXVrrpAjsHBEEjRTaNH4b3hecVApQnSwN"),
                ammCoinMintSupply: new web3_js_1.PublicKey("G3Szi8fUqxfZjZoNx17kQbxeMTyXt2ieRvju4f3eJt9j"),
                ammPcMintSupply: new web3_js_1.PublicKey("7MgaPPNa7ySdu5XV7ik29Xoav4qcDk4wznXZ2Muq9MnT"),
                farmPoolID: new web3_js_1.PublicKey('B6fbnZZ7sbKHR18ffEDD5Nncgp54iKN1GbCgjTRdqhS1'),
                farmPoolProgramId: new web3_js_1.PublicKey("EhhTKczWMGQt46ynNeRX1WfeagwwJd7ufHvCDjRxjo5Q"),
                farmPoolAuthority: new web3_js_1.PublicKey("6amoZ7YBbsz3uUUbkeEH4vDTNwjvgjxTiu6nGi9z1JGe"),
                farmPoolLpSupply: new web3_js_1.PublicKey("BjAfXpHTHz2kipraNddS6WwQvGGtbvyobn7MxLEEYfrH"),
                farmRewardVault: new web3_js_1.PublicKey("7YfTgYQFGEJ4kb8jCF8cBrrUwEFskLin3EbvE1crqiQh"),
                farmRewardVaultB: new web3_js_1.PublicKey("7YfTgYQFGEJ4kb8jCF8cBrrUwEFskLin3EbvE1crqiQh"),
                rewardA: "",
                rewardB: "RAY",
                version: 3,
            },
            {
                name: "RAY-USDC",
                fullName: "Raydium RAY-USDC",
                reserveId: new web3_js_1.PublicKey("EJkTqpmUMhvuiirfed1TjArZJvzUiC6Nq3rkRWXvJtuh"),
                ammID: new web3_js_1.PublicKey("6UmmUiYoBjSrhakAobJw8BvkmJtDVxaeBtbt7rxWo1mg"),
                lpMint: new web3_js_1.PublicKey("FbC6K13MzHvN42bXrtGaWsvZY9fxrackRSZcBGfjPc7m"),
                coinMintPrice: new web3_js_1.PublicKey("GriuPR5KrTr64rfvVmvMcMdEbiynoNddfMT9BSdFZG2X"),
                pcMintPrice: new web3_js_1.PublicKey("7RhdnRymb4TqTYLM5bH7cALj86EZX2sFxH8KYUbhUmLB"),
                ammOpenOrders: new web3_js_1.PublicKey("J8u8nTHYtvudyqwLrXZboziN95LpaHFHpd97Jm5vtbkW"),
                ammCoinMintSupply: new web3_js_1.PublicKey("FdmKUE4UMiJYFK5ogCngHzShuVKrFXBamPWcewDr31th"),
                ammPcMintSupply: new web3_js_1.PublicKey("Eqrhxd7bDUCH3MepKmdVkgwazXRzY6iHhEoBpY7yAohk"),
                farmPoolID: new web3_js_1.PublicKey('CHYrUBX2RKX8iBg7gYTkccoGNBzP44LdaazMHCLcdEgS'),
                farmPoolProgramId: new web3_js_1.PublicKey("EhhTKczWMGQt46ynNeRX1WfeagwwJd7ufHvCDjRxjo5Q"),
                farmPoolAuthority: new web3_js_1.PublicKey("5KQFnDd33J5NaMC9hQ64P5XzaaSz8Pt7NBCkZFYn1po"),
                farmPoolLpSupply: new web3_js_1.PublicKey("BNnXLFGva3K8ACruAc1gaP49NCbLkyE6xWhGV4G2HLrs"),
                farmRewardVault: new web3_js_1.PublicKey("DpRueBHHhrQNvrjZX7CwGitJDJ8eZc3AHcyFMG4LqCQR"),
                farmRewardVaultB: new web3_js_1.PublicKey("DpRueBHHhrQNvrjZX7CwGitJDJ8eZc3AHcyFMG4LqCQR"),
                rewardA: "",
                rewardB: "RAY",
                version: 3,
            },
            {
                name: "RAY-USDT",
                fullName: "Raydium RAY-USDT",
                reserveId: new web3_js_1.PublicKey("43rjwD7obASwjPjCvG8W1vUjkwhAbA95zc2eMa5itDKq"),
                ammID: new web3_js_1.PublicKey("DVa7Qmb5ct9RCpaU7UTpSaf3GVMYz17vNVU67XpdCRut"),
                lpMint: new web3_js_1.PublicKey("C3sT1R3nsw4AVdepvLTLKr5Gvszr7jufyBWUCvy4TUvT"),
                coinMintPrice: new web3_js_1.PublicKey("GriuPR5KrTr64rfvVmvMcMdEbiynoNddfMT9BSdFZG2X"),
                pcMintPrice: new web3_js_1.PublicKey("269apCw3MSNgFUeoW99hhAoAWyCArtDAAB39pzZYRdNx"),
                ammOpenOrders: new web3_js_1.PublicKey("7UF3m8hDGZ6bNnHzaT2YHrhp7A7n9qFfBj6QEpHPv5S8"),
                ammCoinMintSupply: new web3_js_1.PublicKey("3wqhzSB9avepM9xMteiZnbJw75zmTBDVmPFLTQAGcSMN"),
                ammPcMintSupply: new web3_js_1.PublicKey("5GtSbKJEPaoumrDzNj4kGkgZtfDyUceKaHrPziazALC1"),
                farmPoolID: new web3_js_1.PublicKey('AvbVWpBi2e4C9HPmZgShGdPoNydG4Yw8GJvG9HUcLgce'),
                farmPoolProgramId: new web3_js_1.PublicKey("EhhTKczWMGQt46ynNeRX1WfeagwwJd7ufHvCDjRxjo5Q"),
                farmPoolAuthority: new web3_js_1.PublicKey("8JYVFy3pYsPSpPRsqf43KSJFnJzn83nnRLQgG88XKB8q"),
                farmPoolLpSupply: new web3_js_1.PublicKey("4u4AnMBHXehdpP5tbD6qzB5Q4iZmvKKR5aUr2gavG7aw"),
                farmRewardVault: new web3_js_1.PublicKey("HCHNuGzkqSnw9TbwpPv1gTnoqnqYepcojHw9DAToBrUj"),
                farmRewardVaultB: new web3_js_1.PublicKey("HCHNuGzkqSnw9TbwpPv1gTnoqnqYepcojHw9DAToBrUj"),
                rewardA: "",
                rewardB: "RAY",
                version: 3,
            },
            {
                name: "ETH-SOL",
                fullName: "Raydium ETH-SOL",
                reserveId: new web3_js_1.PublicKey("FRdb6Q7Mr8dfyjSZMuH9pDEZhHJW2KznhacTSJkxkQjP"),
                ammID: new web3_js_1.PublicKey("4yrHms7ekgTBgJg77zJ33TsWrraqHsCXDtuSZqUsuGHb"),
                lpMint: new web3_js_1.PublicKey("3hbozt2Por7bcrGod8N7kEeJNMocFFjCJrQR16TQGBrE"),
                coinMintPrice: new web3_js_1.PublicKey("5KfiXEBkw745gSyEdmCJEbFEjVPqZCUDXgETycQrMA4n"),
                pcMintPrice: new web3_js_1.PublicKey("4b48cC9RJwmLxGSPZGgPSh2qdQfwqzsxp2AZRyAdtHSo"),
                ammOpenOrders: new web3_js_1.PublicKey("FBU5FSjYeEZTbbLAjPCfkcDKJpAKtHVQUwL6zDgnNGRF"),
                ammCoinMintSupply: new web3_js_1.PublicKey("5ushog8nHpHmYVJVfEs3NXqPJpne21sVZNuK3vqm8Gdg"),
                ammPcMintSupply: new web3_js_1.PublicKey("CWGyCCMC7xmWJZgAynhfAG7vSdYoJcmh27FMwVPsGuq5"),
                farmPoolID: new web3_js_1.PublicKey('Gi3Z6TXeH1ZhCCbwg6oJL8SE4LcmxmGRNhhfA6NZhwTK'),
                farmPoolProgramId: new web3_js_1.PublicKey("9KEPoZmtHUrBbhWN1v1KWLMkkvwY6WLtAVUCPRtRjP4z"),
                farmPoolAuthority: new web3_js_1.PublicKey("HoUqzaqKTueo1DMcVcTUgnc79uoiF5nRoD2iNGrVhkei"),
                farmPoolLpSupply: new web3_js_1.PublicKey("9cTdfPLSkauS8Ys848Wz4pjfFvQjsmJpVTUnYXffkubb"),
                farmRewardVault: new web3_js_1.PublicKey("2MMFGZGEjQRovNeNtj1xN9redsVLYTMVcXzFTLQCw6ue"),
                farmRewardVaultB: new web3_js_1.PublicKey("6DhjnWKLbxnDSFZApaVJXCY2wbzgt2mYhvW3yBreaYsY"),
                rewardA: "RAY",
                rewardB: "",
                version: 5,
            },
            {
                name: "ETH-USDC",
                fullName: "Raydium ETH-USDC",
                reserveId: new web3_js_1.PublicKey("FKyqkYFmFAEkPhEf6WMFrKuNVpPMYRDVc4fvjheD15o"),
                ammID: new web3_js_1.PublicKey("EoNrn8iUhwgJySD1pHu8Qxm5gSQqLK3za4m8xzD2RuEb"),
                lpMint: new web3_js_1.PublicKey("3529SBnMCDW3S3xQ52aABbRHo7PcHvpQA4no8J12L5eK"),
                coinMintPrice: new web3_js_1.PublicKey("5KfiXEBkw745gSyEdmCJEbFEjVPqZCUDXgETycQrMA4n"),
                pcMintPrice: new web3_js_1.PublicKey("7RhdnRymb4TqTYLM5bH7cALj86EZX2sFxH8KYUbhUmLB"),
                ammOpenOrders: new web3_js_1.PublicKey("6iwDsRGaQucEcfXX8TgDW1eyTfxLAGrypxdMJ5uqoYcp"),
                ammCoinMintSupply: new web3_js_1.PublicKey("DVWRhoXKCoRbvC5QUeTECRNyUSU1gwUM48dBMDSZ88U"),
                ammPcMintSupply: new web3_js_1.PublicKey("HftKFJJcUTu6xYcS75cDkm3y8HEkGgutcbGsdREDWdMr"),
                farmPoolID: new web3_js_1.PublicKey('8JJSdD1ca5SDtGCEm3yBbQKek2FvJ1EbNt9q2ET3E9Jt'),
                farmPoolProgramId: new web3_js_1.PublicKey("9KEPoZmtHUrBbhWN1v1KWLMkkvwY6WLtAVUCPRtRjP4z"),
                farmPoolAuthority: new web3_js_1.PublicKey("DBoKA7VTfnQDj7knPTrZcg6KKs5WhsKsVRFVjBsjyobs"),
                farmPoolLpSupply: new web3_js_1.PublicKey("2ucKrVxYYCfWC6yRk3R7fRbQ5Mjz81ciEgS451TGq2hg"),
                farmRewardVault: new web3_js_1.PublicKey("3nhoDqudHBBedE9CuUqnydrWWiMFLKcZf3Ydc9zbAFet"),
                farmRewardVaultB: new web3_js_1.PublicKey("B4LA1grBYY9CE3W8sG9asR7Pi2a6eSt2A8RHcXXKJ1UM"),
                rewardA: "RAY",
                rewardB: "",
                version: 5,
            }
        ]
    },
    bonfida: {
        name: "bonfida",
        programId: new web3_js_1.PublicKey("3cKREQ3Z7ioCQ4oa23uGEuzekhQWPxKiBEZ87WfaAZ5p"),
        marketId: new web3_js_1.PublicKey("5enDUZdptakV39Sra9QQYBstJbLVZHHqT74CgeL2fMqV"),
        authorityId: new web3_js_1.PublicKey("3CUxD14BycC4a4K4xPcgU7okw9RwP6vhkycp3umxfyzZ"),
        larixOracleProgramId: new web3_js_1.PublicKey("GMjBguH3ceg9wAHEMdY5iZnvzY6CgBACBDvkWmjR7upS"),
        mineSupply: new web3_js_1.PublicKey("7R5YVRUqviwQTah8WSHHGehwwwaiiq72N4YSdTbE1bNw"),
        mineMint: new web3_js_1.PublicKey("Lrxqnh6ZHKbGy3dcrCED43nsoLkM1LTzU2jRfWe8qUC"),
        reserves: [
            {
                name: "USDC",
                fullName: "USDC",
                reserveId: new web3_js_1.PublicKey("6P4bZnbS8oSCsdUkK6zQCHfSAW9aREFF5F7k61rS4noP"),
                larixOraclePriceId: new web3_js_1.PublicKey("7RhdnRymb4TqTYLM5bH7cALj86EZX2sFxH8KYUbhUmLB")
            },
            {
                name: "SOL",
                fullName: "SOL",
                reserveId: new web3_js_1.PublicKey("DNAPex89vUaAQaxQPY35UsYuCTfcp79V9Zvo6moQCk2G"),
                larixOraclePriceId: new web3_js_1.PublicKey("4b48cC9RJwmLxGSPZGgPSh2qdQfwqzsxp2AZRyAdtHSo")
            },
            {
                name: "FIDA",
                fullName: "FIDA",
                reserveId: new web3_js_1.PublicKey("7tZw5xc2GzXttdgEW4Rj2d3MHm7izt9ceZGugGgnSKBS"),
                larixOraclePriceId: new web3_js_1.PublicKey("Egd8AetAEVsLSQNXLYXQN2uLp5txX623WME5reC4phGP")
            },
        ]
    },
    xsol: {
        name: "xSOL",
        programId: new web3_js_1.PublicKey("3cKREQ3Z7ioCQ4oa23uGEuzekhQWPxKiBEZ87WfaAZ5p"),
        marketId: new web3_js_1.PublicKey("Cc5BGXYUFRpg9sy16WpwYaB6y82Yp6obhNbA55pCC4ZS"),
        authorityId: new web3_js_1.PublicKey("BAcibEajCkdezp5zzQ7nDQG2t4DP6XGqzrDRbabjT5gZ"),
        larixOracleProgramId: new web3_js_1.PublicKey("HttDgr1KeUVBoUGMm8rUdG8PzHLwETPLSnvjAXGzRASN"),
        mineSupply: new web3_js_1.PublicKey("GmZyeT385ycdFHBDZTKh92GxuQRuSjL8iSnH3HwfDsUx"),
        mineMint: new web3_js_1.PublicKey("Lrxqnh6ZHKbGy3dcrCED43nsoLkM1LTzU2jRfWe8qUC"),
        reserves: [
            {
                name: "SOL",
                fullName: "SOL",
                reserveId: new web3_js_1.PublicKey("C8guibu4yK6wpsRrwsvMZdch8EmCUvFVN1CqBaMbY93i"),
                larixOraclePriceId: new web3_js_1.PublicKey("5zteFsz64YENeZZ7u3ChZqzzS6PCw4HpSSQbY8HNGviG")
            },
            {
                name: "mSOL",
                fullName: "mSOL",
                reserveId: new web3_js_1.PublicKey("9uLHNUTVqKC5dvJX6yeZxvPTJP3MDqnTVmiCtUS7xKgn"),
                larixOraclePriceId: new web3_js_1.PublicKey("97fx6Vi4TCjuF3oLATP9Ta9rzgthrWUWvjzpiMqAoFVn")
            },
            {
                name: "stSOL",
                fullName: "stSOL",
                reserveId: new web3_js_1.PublicKey("GtdzcR7Um1oejq9hSkMZeX4C3kcu69MBLrfLiy88oQ35"),
                larixOraclePriceId: new web3_js_1.PublicKey("HDKMFfcCZKKjbDmRKGSJUA5TzKDNquaZmN8Yk1u8tfCR")
            },
            {
                name: "scnSOL",
                fullName: "scnSOL",
                reserveId: new web3_js_1.PublicKey("G2tDWNmFqCqpBiQKadGBRvvKUo89KBa9ZK532USbnsLh"),
                larixOraclePriceId: new web3_js_1.PublicKey("Eke188zQ2vMNcFqRot48zpHykiKPYyiupqYhf7ehkzZK")
            },
            {
                name: "JSOL",
                fullName: "JSOL",
                reserveId: new web3_js_1.PublicKey("4gKbprgcKaZqNbjMPg7JQiRXDG73YbGvGdiP1oPPBgt4"),
                larixOraclePriceId: new web3_js_1.PublicKey("DwNZxGwmfVVrnvANmeSyzQrTxcyPHK48S3N2R9rTw78i")
            },
        ]
    },
    larix: {
        name: "larix",
        programId: new web3_js_1.PublicKey("3cKREQ3Z7ioCQ4oa23uGEuzekhQWPxKiBEZ87WfaAZ5p"),
        marketId: new web3_js_1.PublicKey("5abm8NyiDikUaG262iEr76UE8X7M9UsmqgZW2ouNLNDZ"),
        authorityId: new web3_js_1.PublicKey("GvQRoLVCjyEz31FHvVEyCm5ZMzPManV8ozNoH22vjTnS"),
        larixOracleProgramId: new web3_js_1.PublicKey("HttDgr1KeUVBoUGMm8rUdG8PzHLwETPLSnvjAXGzRASN"),
        mineSupply: new web3_js_1.PublicKey("BJCGgkNqYmAEM1YB7vGpmfMKHGg5MDjr3AhvSXeCRWPf"),
        mineMint: new web3_js_1.PublicKey("Lrxqnh6ZHKbGy3dcrCED43nsoLkM1LTzU2jRfWe8qUC"),
        reserves: [
            {
                name: "SOL",
                fullName: "SOL",
                reserveId: new web3_js_1.PublicKey("DYpnhtEzZ926CY52yiQCrffEFX2S8HP5xfzFV2A3UGmQ"),
                larixOraclePriceId: new web3_js_1.PublicKey("5zteFsz64YENeZZ7u3ChZqzzS6PCw4HpSSQbY8HNGviG")
            },
            {
                name: "USDT",
                fullName: "USDT",
                reserveId: new web3_js_1.PublicKey("DbCHKCVni4zHnqZhYdN7eX6yeZFkzFiy78GcCPuJgUZM"),
                larixOraclePriceId: new web3_js_1.PublicKey("3xyx7B1yWJi7U3YxVKMP2X8Fyb7rEuwdca6cg6aaostZ")
            },
            {
                name: "USDC",
                fullName: "USDC",
                reserveId: new web3_js_1.PublicKey("2PBga1saLhiM9S4ct5z6Gk99TwTFN68hMLBHMF3K9kLe"),
                larixOraclePriceId: new web3_js_1.PublicKey("9iS4z29Bu5ppZ3ovt4kBZRSEhBDwPpaQ5fU4AnzqPty6")
            },
            {
                name: "LARIX",
                fullName: "LARIX",
                reserveId: new web3_js_1.PublicKey("CWG9SQdc49Aa5aXpzBYmnA4Kroh4x2pbSktSy4vfwb9h"),
                larixOraclePriceId: new web3_js_1.PublicKey("5vp2S6JZTDw9u9XAQ4KgESi8527wheGgXa9QwQU8FfxN")
            },
        ]
    },
    stepn: {
        name: "stepn",
        programId: new web3_js_1.PublicKey("3cKREQ3Z7ioCQ4oa23uGEuzekhQWPxKiBEZ87WfaAZ5p"),
        marketId: new web3_js_1.PublicKey("DRcWrCAKxSoew1YPjNPs8XduiPxS9FCMimsC7VkQwKfj"),
        authorityId: new web3_js_1.PublicKey("3RbdqF1963JhAiauWSxn9H4gaP4wqXUbhveY1d7HFq6m"),
        larixOracleProgramId: new web3_js_1.PublicKey("HttDgr1KeUVBoUGMm8rUdG8PzHLwETPLSnvjAXGzRASN"),
        mineSupply: new web3_js_1.PublicKey("E6WEqX7TGf1RUb7h4Gh11tziSqKSX6t1t1ppFzZUAGps"),
        mineMint: new web3_js_1.PublicKey("Lrxqnh6ZHKbGy3dcrCED43nsoLkM1LTzU2jRfWe8qUC"),
        reserves: [
            {
                name: "GMT",
                fullName: "GMT",
                reserveId: new web3_js_1.PublicKey("59FqQLRwnWbGxjvN3XSj2pDfUVEbVjBkPY2uYMuhaE1t"),
                larixOraclePriceId: new web3_js_1.PublicKey("D6SQfBTWrrsy7eq37t1b2YKRtM5RJx4VXJ4opi5VvBM4")
            },
            {
                name: "GST",
                fullName: "GST",
                reserveId: new web3_js_1.PublicKey("FxMF1CvH9U5jMq5MjMYRRvznHbdTRsboohpd7Ahem7AF"),
                larixOraclePriceId: new web3_js_1.PublicKey("CktBJzgdpPh3q4xyFKSYsHqkw9YDhzrsRFvm9Y2BjKVC")
            },
            {
                name: "SOL",
                fullName: "SOL",
                reserveId: new web3_js_1.PublicKey("9t35aQDJF28eVFdsRXLNYtynqsho97SXYmNt58haTJDC"),
                larixOraclePriceId: new web3_js_1.PublicKey("5zteFsz64YENeZZ7u3ChZqzzS6PCw4HpSSQbY8HNGviG")
            },
            {
                name: "mSOL",
                fullName: "mSOL",
                reserveId: new web3_js_1.PublicKey("8VtdcJrU5gpLZvDxvsaxTtrJX6ayrpeDA6XUZmQ77piF"),
                larixOraclePriceId: new web3_js_1.PublicKey("97fx6Vi4TCjuF3oLATP9Ta9rzgthrWUWvjzpiMqAoFVn")
            },
            {
                name: "USDC",
                fullName: "USDC",
                reserveId: new web3_js_1.PublicKey("G5ibSTvLmumdkcLr7AknxFCyDBp5ciLKAbSTkpy2Vyga"),
                larixOraclePriceId: new web3_js_1.PublicKey("9iS4z29Bu5ppZ3ovt4kBZRSEhBDwPpaQ5fU4AnzqPty6")
            },
        ]
    },
    step: {
        name: "step",
        programId: new web3_js_1.PublicKey("3cKREQ3Z7ioCQ4oa23uGEuzekhQWPxKiBEZ87WfaAZ5p"),
        marketId: new web3_js_1.PublicKey("3kKjWexdb97MvYVrUmPRYUUaLgzPdPcThAgFnLtXo8Uw"),
        authorityId: new web3_js_1.PublicKey("9cpToWbpign2gpdPcBitZs8SiSpkNEPxQ9UxTcsSaZcs"),
        larixOracleProgramId: new web3_js_1.PublicKey("HttDgr1KeUVBoUGMm8rUdG8PzHLwETPLSnvjAXGzRASN"),
        mineSupply: new web3_js_1.PublicKey("GdLh2dSm6zusuPWUa9RsQGyZRqZQpBAr4ALysxBn1HYK"),
        mineMint: new web3_js_1.PublicKey("Lrxqnh6ZHKbGy3dcrCED43nsoLkM1LTzU2jRfWe8qUC"),
        reserves: [
            {
                name: "STEP",
                fullName: "STEP",
                reserveId: new web3_js_1.PublicKey("6Wdx7he4sHkFzu1gftovJi9LUjFt9oBsxsycgbqHqXPL"),
                larixOraclePriceId: new web3_js_1.PublicKey("CuXtHKnkSJFCZJZAujzYMQ9gRayHCHCyb7rmam1tK5Fc")
            },
            {
                name: "SOL",
                fullName: "SOL",
                reserveId: new web3_js_1.PublicKey("99Ngo1nc22ugXEQKck1rRMWNsv9pRgVjHupxoszFMway"),
                larixOraclePriceId: new web3_js_1.PublicKey("5zteFsz64YENeZZ7u3ChZqzzS6PCw4HpSSQbY8HNGviG")
            },
            {
                name: "mSOL",
                fullName: "mSOL",
                reserveId: new web3_js_1.PublicKey("gjGqrDhfT7sWxs2x8QG2yvNUwRuAhpZeLHwTxYWLbn1"),
                larixOraclePriceId: new web3_js_1.PublicKey("97fx6Vi4TCjuF3oLATP9Ta9rzgthrWUWvjzpiMqAoFVn")
            },
            {
                name: "USDC",
                fullName: "USDC",
                reserveId: new web3_js_1.PublicKey("8bSYH8GtoAG2oqSJgy3P3LmXdhi3rEhcxM4ydxEsb7FQ"),
                larixOraclePriceId: new web3_js_1.PublicKey("9iS4z29Bu5ppZ3ovt4kBZRSEhBDwPpaQ5fU4AnzqPty6")
            },
        ]
    },
};
exports.MARKETS = [
    exports.MARKET.main,
    exports.MARKET.bonfida,
    exports.MARKET.xsol,
    exports.MARKET.larix,
    exports.MARKET.step,
    exports.MARKET.stepn
];
