"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.depositObligationCollateral = void 0;
const models_1 = require("../../../models");
const depositObligationCollateral = (connection, signers, instructions, cleanupInstructions, wallet, collateralAmount, sourceCollateral, depositReserveDetail, obligation, lendingProgramID, lendingMarketAuthority) => __awaiter(void 0, void 0, void 0, function* () {
    const depositReserve = depositReserveDetail.info;
    const depositReserveAddress = depositReserveDetail.pubkey;
    const appendReserves = [];
    obligation.info.deposits.map(deposit => {
        if (deposit.depositReserve.equals(depositReserveAddress)) {
            obligation.info.deposits.map(deposit2 => {
                appendReserves.push(deposit2.depositReserve);
            });
            obligation.info.borrows.map(borrow => {
                appendReserves.push(borrow.borrowReserve);
            });
        }
    });
    instructions.push((0, models_1.depositObligationCollateralInstruction)(collateralAmount, sourceCollateral, depositReserve.collateral.supplyPubkey, depositReserveAddress, obligation.pubkey, depositReserve.lendingMarket, lendingProgramID, lendingMarketAuthority, 
    // @FIXME: wallet must sign
    wallet, wallet, appendReserves));
});
exports.depositObligationCollateral = depositObligationCollateral;
