"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.initObligation = void 0;
const models_1 = require("../../../models");
const account_1 = require("../../../utils/account");
const initObligation = (connection, signers, instructions, cleanupInstructions, wallet, lendingMarket, lendingProgramId) => __awaiter(void 0, void 0, void 0, function* () {
    const accountRentExempt = yield connection.getMinimumBalanceForRentExemption(models_1.ObligationLayout.span);
    const obligationAddress = (0, account_1.createUninitializedObligationAccount)(instructions, wallet, accountRentExempt, signers, lendingProgramId);
    instructions.push((0, models_1.initObligationInstruction)(obligationAddress, lendingMarket, wallet, lendingProgramId));
    return obligationAddress;
});
exports.initObligation = initObligation;
