"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.redeemReserveCollateral = void 0;
const models_1 = require("../../../models");
const refreshReserve_1 = require("./refreshReserve");
const redeemReserveCollateral = (connection, marketConfig, signers, instructions, cleanupInstructions, sourceCollateral, collateralAmount, wallet, detailReserve, destinationLiquidity, lendingProgramID, lendingMarketAuthority, withdrawLpAccount) => __awaiter(void 0, void 0, void 0, function* () {
    const reserve = detailReserve.info;
    const reserveAddress = detailReserve.pubkey;
    yield (0, refreshReserve_1.refreshReserve)(connection, marketConfig, signers, instructions, cleanupInstructions, detailReserve, lendingProgramID);
    instructions.push((0, models_1.redeemReserveCollateralInstruction)(collateralAmount, sourceCollateral, destinationLiquidity, reserveAddress, reserve.collateral.mintPubkey, reserve.liquidity.supplyPubkey, reserve.lendingMarket, lendingProgramID, lendingMarketAuthority, wallet, reserve.isLP, reserve.liquidity.params_1, marketConfig.bridgeProgramId, withdrawLpAccount));
});
exports.redeemReserveCollateral = redeemReserveCollateral;
