"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.refreshObligation = void 0;
const models_1 = require("../../../models");
const refreshReserves_1 = require("./refreshReserves");
const getAllReserveOfObligation_1 = require("./getAllReserveOfObligation");
function refreshObligation(connection, marketConfig, signers, instructions, cleanupInstructions, obligation, allReserve, lendingProgramID, borrowReserve) {
    return __awaiter(this, void 0, void 0, function* () {
        const reserveSet = new Set();
        (0, getAllReserveOfObligation_1.getAllReserveOfObligation)(obligation, allReserve, reserveSet);
        if (borrowReserve) {
            reserveSet.add(borrowReserve);
        }
        const refreshReserveArray = new Array();
        reserveSet.forEach((reserve) => {
            refreshReserveArray.push(reserve);
        });
        yield (0, refreshReserves_1.refreshReserves)(connection, marketConfig, instructions, refreshReserveArray, lendingProgramID);
        instructions.push((0, models_1.refreshObligationInstruction)(obligation.pubkey, obligation.info.deposits.map(collateral => collateral.depositReserve), obligation.info.borrows.map(liquidity => liquidity.borrowReserve), lendingProgramID));
    });
}
exports.refreshObligation = refreshObligation;
