"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.withdrawObligationCollateral = void 0;
const models_1 = require("../../../models");
const refreshObligation_1 = require("./refreshObligation");
const refreshReserves_1 = require("./refreshReserves");
const withdrawObligationCollateral = (connection, marketConfig, signers, instructions, cleanupInstructions, obligationDetail, collateralAmount, destinationCollateral, withdrawReserveDetail, wallet, allReserve, lendingProgramID, lendingMarketAuthority) => __awaiter(void 0, void 0, void 0, function* () {
    const withdrawReserve = withdrawReserveDetail.info;
    const reserveAddress = withdrawReserveDetail.pubkey;
    if (obligationDetail.info.borrows.length > 0) {
        yield (0, refreshObligation_1.refreshObligation)(connection, marketConfig, signers, instructions, cleanupInstructions, obligationDetail, allReserve, lendingProgramID);
    }
    else {
        yield (0, refreshReserves_1.refreshReserves)(connection, marketConfig, instructions, [withdrawReserveDetail], lendingProgramID);
    }
    instructions.push((0, models_1.withdrawObligationCollateralInstruction)(collateralAmount, withdrawReserve.collateral.supplyPubkey, destinationCollateral, reserveAddress, obligationDetail.pubkey, withdrawReserve.lendingMarket, lendingMarketAuthority, wallet, lendingProgramID));
});
exports.withdrawObligationCollateral = withdrawObligationCollateral;
