import { LarixUserInfo, LarixObligation, UserMarketDetail } from "../larixUserInfo";
import BN from "bn.js";
import { LarixWallet, TransactionResult } from "../type";
import { LarixReserve } from "../larixMarket";
export declare class LarixAction {
    private readonly signer;
    userInfo: LarixUserInfo;
    transactionResults: TransactionResult[] | undefined;
    constructor(userInfo: LarixUserInfo, signer: LarixWallet);
    deposit(userMarketDetail: UserMarketDetail, depositReserve: LarixReserve, amount: BN | number, obligation?: LarixObligation): Promise<void>;
    withdraw(userMarketDetail: UserMarketDetail, withReserve: LarixReserve, amount: BN | number, obligation?: LarixObligation): Promise<void>;
    collateral(userMarketDetail: UserMarketDetail, reserve: LarixReserve, obligation?: LarixObligation): Promise<void>;
    unCollateral(userMarketDetail: UserMarketDetail, reserve: LarixReserve, obligation: LarixObligation): Promise<void>;
    borrow(userMarketDetail: UserMarketDetail, borrowReserve: LarixReserve, amount: BN | number, obligation: LarixObligation): Promise<void>;
    repay(userMarketDetail: UserMarketDetail, reserve: LarixReserve, amount: BN | number, obligation: LarixObligation): Promise<void>;
}
