import { Connection } from "@solana/web3.js";
import { MarketConfig } from "../config";
import { LarixMarket } from "./type";
import { PriceInfo } from "../type";
export declare class LarixMarkets {
    marketConfigs: MarketConfig[];
    markets: LarixMarket[];
    private connection;
    private allId;
    private priceInfoMap;
    constructor(connection: Connection, marketsConfig?: MarketConfig[]);
    loadReservesAndRewardApy(): Promise<void>;
    loadReserves(): Promise<void>;
    loadRewardApy(): Promise<void>;
    calcRewardApy(raydiumPairs: [], priceInfo: Map<string, PriceInfo>): void;
    private parserReserve;
    private afterLoad;
    private formatReserveBeforeRefresh;
    private refreshReserve;
    private accrueInterest;
    private refreshRewardIndex;
    private formatReserveAfterRefresh;
    private calcApy;
    private getCurrentBorrowRate;
    private getUtilizationRate;
    private calcReserveRewardApy;
    private calcPoolFeeApy;
    private calcLpApyDetails;
    private getSlot;
    private getAllAccountsInfo;
    private getPriceInfo;
    private loadPriceInfo;
    private getLpPrice;
    private getLpInfo;
    private getLpTotalAmount;
}
