import { State, LpInfo, Reserve, TokenAccount } from "../models";
import BigNumber from "bignumber.js";
import { LpReserveConfig, MarketConfig, ReserveConfig } from "../config";
export declare type LarixMarket = {
    config: MarketConfig;
    reserves: LarixReserve[];
    reservesMap: Map<string, LarixReserve>;
    reserveStates: State<Reserve>[];
};
export declare type LarixReserve = {
    state: State<Reserve>;
    reserveConfig: ReserveConfig | LpReserveConfig;
    market: LarixMarket;
    collateralFactor: BigNumber;
    liquidationThreshold: number;
    miningSpeed: BigNumber;
    dailyMining: BigNumber;
    supplyMiningRate: BigNumber;
    borrowMiningRate: BigNumber;
    liquidityPrice: BigNumber;
    borrowInterestFee: BigNumber;
    depositLimit: BigNumber;
    cumulativeBorrowRate: BigNumber;
    utilizationRate: BigNumber;
    exchangeRate: BigNumber;
    totalCollateralTokenSupply: BigNumber;
    totalAvailableAmount: BigNumber;
    totalAvailableValue: BigNumber;
    totalBorrowedAmount: BigNumber;
    totalBorrowedValue: BigNumber;
    totalDepositAmount: BigNumber;
    totalDepositValue: BigNumber;
    supplyApy: BigNumber;
    borrowApy: BigNumber;
    lpInfo: LpInfo;
    supplyRewardApy: BigNumber | number;
    borrowRewardApy: BigNumber | number;
    userCollateralTokenAccount: TokenAccount | undefined;
    userLiquidityTokenAccount: TokenAccount | undefined;
    userLiquidityAmount: BigNumber;
};
