import { Connection, PublicKey } from "@solana/web3.js";
import { TokenAccount } from "../models";
import { Obligation } from "../models";
import { State } from "../models";
import { Mining } from "../models";
import { LarixMarket, LarixReserve } from "../larixMarket";
import { UserMarketDetail } from "./type";
export declare class LarixUserInfo {
    publicKey: PublicKey;
    connection: Connection;
    markets: LarixMarket[];
    marketDetails: UserMarketDetail[];
    tokenAccounts: Map<string, Array<TokenAccount>>;
    constructor(publicKey: PublicKey, connection: Connection, markets: LarixMarket[]);
    loadTokenAccounts(): Promise<void>;
    setTokenAccounts(tokenAccounts: Map<string, Array<TokenAccount>>): void;
    loadUserInfo(): Promise<void>;
    bindTokenAccountToReserve(): void;
    getLiquidityTokenAccount(reserve: LarixReserve): TokenAccount | undefined;
    getCollateralTokenAccount(reserve: LarixReserve): TokenAccount | undefined;
    private getLarixObligation;
    private getLarixMining;
    private getTokenAccounts;
    private getObligation;
    private getMining;
    getObligationOfMarket(programID: PublicKey, marketID: PublicKey): Promise<State<Obligation>[]>;
    getMiningOfMarket(lendingProgramID: PublicKey, lendingMarketID: PublicKey): Promise<State<Mining>[]>;
    private static getSolToken;
    private getOtherToken;
}
