"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createDepositMiningInstruction = void 0;
const web3_js_1 = require("@solana/web3.js");
const models_1 = require("../../models");
const buffer_layout_1 = __importDefault(require("buffer-layout"));
const config_1 = require("../../config");
const Layout = __importStar(require("./../../utils/layout"));
const createDepositMiningInstruction = (mining, depositAmount, sourceAccount, reserve, lendingMarket, lendingProgramID, lendingMarketAuthority, miningOwner, transferAuthority) => {
    const dataLayout = buffer_layout_1.default.struct([
        buffer_layout_1.default.u8('instruction'),
        Layout.uint64("depositAmount")
    ]);
    const data = Buffer.alloc(dataLayout.span);
    dataLayout.encode({
        instruction: models_1.LendingInstruction.DepositMining,
        depositAmount: depositAmount
    }, data);
    const keys = [
        { pubkey: sourceAccount, isSigner: false, isWritable: true },
        { pubkey: reserve.info.bonus.unCollSupply, isSigner: false, isWritable: true },
        { pubkey: mining, isSigner: false, isWritable: true },
        { pubkey: reserve.pubkey, isSigner: false, isWritable: false },
        { pubkey: lendingMarket, isSigner: false, isWritable: false },
        // { pubkey: lendingMarketAuthority, isSigner: false, isWritable: false },
        { pubkey: miningOwner, isSigner: true, isWritable: false },
        { pubkey: transferAuthority, isSigner: true, isWritable: false },
        { pubkey: config_1.TOKEN_PROGRAM_ID, isSigner: false, isWritable: false },
    ];
    return new web3_js_1.TransactionInstruction({
        keys,
        programId: lendingProgramID,
        data,
    });
};
exports.createDepositMiningInstruction = createDepositMiningInstruction;
