"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createAddLiquidityInstruction = void 0;
const spl_token_1 = require("@solana/spl-token");
const config_1 = require("../../../config/config");
function createAddLiquidityInstruction(program, larixLockPoolId, larixLockPool, userLarixInfo, position, user, userPcAccount) {
    const ammInfo = config_1.LARIX_LOCK_AMM_INFO;
    return program.instruction.addLiquidity({
        accounts: {
            pool: larixLockPoolId,
            userLarixInfo,
            position,
            owner: user,
            tokenProgramId: spl_token_1.TOKEN_PROGRAM_ID,
            ammProgramId: ammInfo.programId,
            ammId: ammInfo.ammId,
            ammAuthority: ammInfo.ammAuthority,
            ammOpenOrders: ammInfo.ammOpenOrders,
            ammTargetOrders: ammInfo.ammTargetOrders,
            lpMint: ammInfo.lpMint,
            ammCoinMintSupply: ammInfo.poolCoinTokenAccount,
            ammPcMintSupply: ammInfo.poolPcTokenAccount,
            serumMarket: ammInfo.serumMarket,
            coinSupply: larixLockPool.coinSupply,
            pcSupply: larixLockPool.pcSupply,
            lpSupply: larixLockPool.lpSupply,
            userPcAccount
        }
    });
}
exports.createAddLiquidityInstruction = createAddLiquidityInstruction;
