"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createClaimMineInstruction = void 0;
const web3_js_1 = require("@solana/web3.js");
const buffer_layout_1 = __importDefault(require("buffer-layout"));
const Layout = __importStar(require("../../../utils/layout"));
const instruction_1 = require("../instruction");
const spl_token_1 = require("@solana/spl-token");
function createClaimMineInstruction(lendingMarket, lendingMarketAuthority, owner, mining, claimTimes, claimRatio, lendingProgaramId, other) {
    const dataLayout = buffer_layout_1.default.struct([
        buffer_layout_1.default.u8('instruction'),
        Layout.uint16("subsidyTimes"),
        Layout.uint16("claimRatio"),
    ]);
    const data = Buffer.alloc(dataLayout.span);
    dataLayout.encode({
        instruction: instruction_1.LendingInstruction.ClaimMine,
        subsidyTimes: claimTimes,
        claimRatio
    }, data);
    const keys = [
        { pubkey: spl_token_1.TOKEN_PROGRAM_ID, isSigner: false, isWritable: false },
        { pubkey: lendingMarket, isSigner: false, isWritable: false },
        { pubkey: lendingMarketAuthority, isSigner: false, isWritable: false },
        { pubkey: owner, isSigner: true, isWritable: false },
        { pubkey: mining, isSigner: false, isWritable: true },
    ];
    if (other.obligation) {
        keys.push({ pubkey: other.obligation, isSigner: false, isWritable: true });
    }
    if (claimTimes.toNumber() == 100 && other.destination && other.sourceAccount) {
        keys.push({ pubkey: other.sourceAccount, isSigner: false, isWritable: true });
        keys.push({ pubkey: other.destination, isSigner: false, isWritable: true });
    }
    else if (other.larixLockProgram && other.larixLockPool && other.userLarixInfoAccount) {
        keys.push({ pubkey: other.larixLockProgram, isSigner: false, isWritable: false });
        keys.push({ pubkey: other.larixLockPool, isSigner: false, isWritable: false });
        keys.push({ pubkey: other.userLarixInfoAccount, isSigner: false, isWritable: true });
    }
    return new web3_js_1.TransactionInstruction({
        keys,
        programId: lendingProgaramId,
        data
    });
}
exports.createClaimMineInstruction = createClaimMineInstruction;
