"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createClaimPositionInstruction = void 0;
const spl_token_1 = require("@solana/spl-token");
function createClaimPositionInstruction(program, larixLockPoolId, larixLockPool, positionId, userRewardAccount, userRewardAccountB) {
    const user = program.provider.wallet.publicKey;
    return program.instruction.claim({
        accounts: {
            pool: larixLockPoolId,
            position: positionId,
            owner: user,
            tokenProgram: spl_token_1.TOKEN_PROGRAM_ID,
            rewardAccount: larixLockPool.rewardASupply,
            rewardAccountB: larixLockPool.rewardBSupply,
            userRewardAccount,
            userRewardAccountB,
        }
    });
}
exports.createClaimPositionInstruction = createClaimPositionInstruction;
