"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createClosePositionInstruction = exports.createInitPositionInstruction = void 0;
const web3_js_1 = require("@solana/web3.js");
function createInitPositionInstruction(program, larixPoolId, owner, payer, position) {
    return program.instruction.initializePosition({
        accounts: {
            position: position.publicKey,
            lockPool: larixPoolId,
            owner,
            payer,
            systemProgram: web3_js_1.SystemProgram.programId,
        }
    });
}
exports.createInitPositionInstruction = createInitPositionInstruction;
function createClosePositionInstruction(program, positionId, owner, destination) {
    return program.instruction.closePosition({
        accounts: {
            position: positionId,
            owner,
            destination
        }
    });
}
exports.createClosePositionInstruction = createClosePositionInstruction;
