"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createStakeInstruction = void 0;
const web3_js_1 = require("@solana/web3.js");
const spl_token_1 = require("@solana/spl-token");
const config_1 = require("../../../config/config");
const createStakeInstruction = (program, larixLockPoolId, larixLockPool) => {
    const farmInfo = config_1.LARIX_LOCK_FARM_INFO;
    return program.instruction.stake({
        accounts: {
            pool: larixLockPoolId,
            lockPoolLpSupply: larixLockPool.lpSupply,
            farmPoolProgramId: farmInfo.programId,
            farmPool: farmInfo.poolId,
            farmPoolAuthority: new web3_js_1.PublicKey(farmInfo.poolAuthority),
            farmPoolLpSupply: new web3_js_1.PublicKey(farmInfo.poolLpTokenAccount),
            farmLedger: larixLockPool.farmLedger,
            rewardAccount: larixLockPool.rewardASupply,
            rewardVault: new web3_js_1.PublicKey(farmInfo.poolRewardTokenAccount),
            sysvarClock: web3_js_1.SYSVAR_CLOCK_PUBKEY,
            tokenProgram: spl_token_1.TOKEN_PROGRAM_ID,
            rewardAccountB: larixLockPool.rewardBSupply,
            rewardVaultB: new web3_js_1.PublicKey(farmInfo.poolRewardTokenAccountB)
        }
    });
};
exports.createStakeInstruction = createStakeInstruction;
