"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createCloseUserLarixInfoInstruction = exports.createInitUserLarixInfoInstruction = void 0;
const web3_js_1 = require("@solana/web3.js");
function createInitUserLarixInfoInstruction(program, larixPoolId, owner, payer, userLarixInfo) {
    return program.instruction.initializeUserLarixInfo({
        accounts: {
            userLarixInfo: userLarixInfo.publicKey,
            lockPool: larixPoolId,
            owner,
            payer,
            systemProgram: web3_js_1.SystemProgram.programId,
        }
    });
}
exports.createInitUserLarixInfoInstruction = createInitUserLarixInfoInstruction;
function createCloseUserLarixInfoInstruction(program, userLarixInfoId, owner, destination) {
    return program.instruction.closeUserLarixInfo({
        accounts: {
            userLarixInfo: userLarixInfoId,
            owner,
            destination
        }
    });
}
exports.createCloseUserLarixInfoInstruction = createCloseUserLarixInfoInstruction;
