"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createWithdrawInstruction = void 0;
const web3_js_1 = require("@solana/web3.js");
const config_1 = require("../../../config/config");
const spl_token_1 = require("@solana/spl-token");
function createWithdrawInstruction(program, larixLockPoolId, larixLockPool, position, userLpTokenAccount, userRewardAccount, userRewardAccountB) {
    const farmInfo = config_1.LARIX_LOCK_FARM_INFO;
    const user = program.provider.wallet.publicKey;
    return program.instruction.withdraw({
        accounts: {
            pool: larixLockPoolId,
            position,
            lockPoolLpSupply: larixLockPool.lpSupply,
            owner: user,
            tokenProgram: spl_token_1.TOKEN_PROGRAM_ID,
            userLpTokenAccount,
            farmPoolProgramId: farmInfo.programId,
            farmPool: farmInfo.poolId,
            farmPoolAuthority: farmInfo.poolAuthority,
            farmPoolLpSupply: farmInfo.poolLpTokenAccount,
            farmLedger: larixLockPool.farmLedger,
            rewardAccount: larixLockPool.rewardASupply,
            rewardVault: farmInfo.poolRewardTokenAccount,
            sysvarClock: web3_js_1.SYSVAR_CLOCK_PUBKEY,
            rewardAccountB: larixLockPool.rewardBSupply,
            rewardVaultB: farmInfo.poolRewardTokenAccountB,
            userRewardAccount,
            userRewardAccountB,
        }
    });
}
exports.createWithdrawInstruction = createWithdrawInstruction;
