"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.refreshMiningInstruction = void 0;
const buffer_layout_1 = __importDefault(require("buffer-layout"));
const instruction_1 = require("./instruction");
const web3_js_1 = require("@solana/web3.js");
function refreshMiningInstruction(mining, reserves, lendingProgramID) {
    const dataLayout = buffer_layout_1.default.struct([buffer_layout_1.default.u8('instruction')]);
    const data = Buffer.alloc(dataLayout.span);
    dataLayout.encode({ instruction: instruction_1.LendingInstruction.RefreshMining }, data);
    const keys = [
        { pubkey: mining, isSigner: false, isWritable: true },
    ];
    reserves.map(reserve => {
        keys.push({ pubkey: reserve, isSigner: false, isWritable: false });
    });
    return new web3_js_1.TransactionInstruction({
        keys,
        programId: lendingProgramID,
        data,
    });
}
exports.refreshMiningInstruction = refreshMiningInstruction;
