"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.refreshReservesInstruction = void 0;
const web3_js_1 = require("@solana/web3.js");
const BufferLayout = __importStar(require("buffer-layout"));
const instruction_1 = require("./instruction");
const refreshReservesInstruction = (reserves, lendingProgramID) => {
    const dataLayout = BufferLayout.struct([BufferLayout.u8('instruction')]);
    const data = Buffer.alloc(dataLayout.span);
    dataLayout.encode({ instruction: instruction_1.LendingInstruction.RefreshReserves }, data);
    const keys = [];
    reserves.map((reserve) => {
        keys.push({ pubkey: reserve.pubkey, isSigner: false, isWritable: true });
        if (reserve.info.isLP) {
            keys.push({ pubkey: reserve.info.liquidity.params_2, isSigner: false, isWritable: false });
        }
        else {
            if (reserve.info.liquidity.usePythOracle) {
                keys.push({ pubkey: reserve.info.liquidity.params_1, isSigner: false, isWritable: false });
            }
            else {
                keys.push({ pubkey: reserve.info.liquidity.params_2, isSigner: false, isWritable: false });
            }
        }
    });
    return new web3_js_1.TransactionInstruction({
        keys,
        programId: lendingProgramID,
        data,
    });
};
exports.refreshReservesInstruction = refreshReservesInstruction;
