/// <reference types="node" />
import { AccountInfo, PublicKey } from '@solana/web3.js';
import * as BufferLayout from 'buffer-layout';
import { State } from "../../type";
export interface LendingMarket {
    version: number;
    bumpSeed: Buffer;
    isInitialized: boolean;
    pendingOwner: PublicKey;
    owner: PublicKey;
    quoteCurrency: Buffer;
    tokenProgramId: PublicKey;
    oracleProgramId: PublicKey;
    larixOracleProgramId: PublicKey;
    larixOracleId: PublicKey;
    mineMint: PublicKey;
    mineSupply: PublicKey;
}
export declare const LendingMarketLayout: typeof BufferLayout.Structure;
export declare const isLendingMarket: (info: AccountInfo<Buffer>) => boolean;
export declare const LendingMarketParser: (pubkey: PublicKey, info: AccountInfo<Buffer>) => State<LendingMarket>;
