/// <reference types="node" />
import * as BufferLayout from 'buffer-layout';
import { AccountInfo, PublicKey } from "@solana/web3.js";
import { State } from "../state";
import BN from "bn.js";
export interface Amm {
    status: BN;
    nonce: BN;
    orderNum: BN;
    depth: BN;
    coinDecimals: BN;
    pcDecimals: BN;
    state: BN;
    resetFlag: BN;
    minSize: BN;
    volMaxCutRatio: BN;
    amountWaveRatio: BN;
    coinLotSize: BN;
    pcLotSize: BN;
    minPriceMultiplier: BN;
    maxPriceMultiplier: BN;
    systemDecimalsValue: BN;
    minSeparateNumerator: BN;
    minSeparateDenominator: BN;
    tradeFeeNumerator: BN;
    tradeFeeDenominator: BN;
    pnlNumerator: BN;
    pnlDenominator: BN;
    swapFeeNumerator: BN;
    swapFeeDenominator: BN;
    needTakePnlCoin: BN;
    needTakePnlPc: BN;
    totalPnlPc: BN;
    totalPnlCoin: BN;
    poolTotalDepositPc: BN;
    poolTotalDepositCoin: BN;
    swapCoinInAmount: BN;
    swapPcOutAmount: BN;
    swapCoin2PcFee: BN;
    swapPcInAmount: BN;
    swapCoinOutAmount: BN;
    swapPc2CoinFee: BN;
    poolCoinTokenAccount: PublicKey;
    poolPcTokenAccount: PublicKey;
    coinMintAddress: PublicKey;
    pcMintAddress: PublicKey;
    lpMintAddress: PublicKey;
    ammOpenOrders: PublicKey;
    serumMarket: PublicKey;
    serumProgramId: PublicKey;
    ammTargetOrders: PublicKey;
    poolWithdrawQueue: PublicKey;
    poolTempLpTokenAccount: PublicKey;
    ammOwner: PublicKey;
    pnlOwner: PublicKey;
}
export declare const AMM_LAYOUT_V4: typeof BufferLayout.Structure;
export declare const AmmParser: (pubkey: PublicKey, info: AccountInfo<Buffer> | null) => State<Amm>;
