/// <reference types="node" />
import * as BufferLayout from 'buffer-layout';
import { AccountInfo, PublicKey } from "@solana/web3.js";
import { State } from "../state";
import BN from "bn.js";
export interface AmmOpenOrders {
    start: Buffer;
    accountFlags: BN;
    market: PublicKey;
    owner: PublicKey;
    baseTokenFree: BN;
    baseTokenTotal: BN;
    quoteTokenFree: BN;
    quoteTokenTotal: BN;
    freeSlotBits: BN;
    isBidBits: BN;
    orders: Buffer;
    clientIds: Buffer;
    end: Buffer;
}
export declare const AMM_OPEN_ORDERS_LAYOUT: typeof BufferLayout.Structure;
export declare const AmmOpenOrdersLayoutParser: (pubkey: PublicKey, info: AccountInfo<Buffer> | null) => State<AmmOpenOrders>;
