"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AmmOpenOrdersLayoutParser = exports.AMM_OPEN_ORDERS_LAYOUT = void 0;
const BufferLayout = __importStar(require("buffer-layout"));
const Layout = __importStar(require("../../../utils/layout"));
exports.AMM_OPEN_ORDERS_LAYOUT = BufferLayout.struct([
    BufferLayout.blob(5, "start"),
    Layout.uint64("accountFlags"),
    Layout.publicKey("market"),
    Layout.publicKey("owner"),
    Layout.uint64("baseTokenFree"),
    Layout.uint64("baseTokenTotal"),
    Layout.uint64("quoteTokenFree"),
    Layout.uint64("quoteTokenTotal"),
    Layout.uint128("freeSlotBits"),
    Layout.uint128("isBidBits"),
    BufferLayout.blob(16 * 128, "orders"),
    BufferLayout.blob(8 * 128, "clientIds"),
    Layout.uint64("referrerRebatesAccrued"),
    BufferLayout.blob(7, "end"),
]);
const AmmOpenOrdersLayoutParser = (pubkey, info) => {
    if (info == null) {
        throw new Error("Info can not be null");
    }
    const buffer = Buffer.from(info.data);
    const reserve = exports.AMM_OPEN_ORDERS_LAYOUT.decode(buffer);
    const details = {
        pubkey,
        account: Object.assign({}, info),
        info: reserve,
    };
    return details;
};
exports.AmmOpenOrdersLayoutParser = AmmOpenOrdersLayoutParser;
