/// <reference types="node" />
import { AccountInfo, PublicKey } from '@solana/web3.js';
import BN from 'bn.js';
import * as BufferLayout from 'buffer-layout';
import { LastUpdate } from './lastUpdate';
import { State } from "../index";
export interface MarketPrice {
    version: number;
    oracle: PublicKey;
    target_sql_token: PublicKey;
    pyth_product: PublicKey;
    pyth_price: PublicKey;
    lastUpdate: LastUpdate;
    verify: Boolean;
    expo: number;
    price: BN;
}
export declare const MarketPriceLayout: typeof BufferLayout.Structure;
export declare const isMarketPrice: (info: AccountInfo<Buffer>) => boolean;
export declare const PriceParser: (pubkey: PublicKey, info: AccountInfo<Buffer> | null) => State<MarketPrice>;
