"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PriceParser = exports.isMarketPrice = exports.MarketPriceLayout = void 0;
const BufferLayout = __importStar(require("buffer-layout"));
const Layout = __importStar(require("../../utils/layout"));
const lastUpdate_1 = require("./lastUpdate");
exports.MarketPriceLayout = BufferLayout.struct([
    BufferLayout.u8('version'),
    Layout.publicKey('oracle'),
    Layout.publicKey('target_spl_token'),
    Layout.publicKey('pyth_product'),
    Layout.publicKey('pyth_price'),
    lastUpdate_1.LastUpdateLayout,
    BufferLayout.u8("verify"),
    BufferLayout.u8("expo"),
    Layout.uint64("price"),
]);
const isMarketPrice = (info) => {
    return info.data.length === exports.MarketPriceLayout.span;
};
exports.isMarketPrice = isMarketPrice;
const PriceParser = (pubkey, info) => {
    if (info == null) {
        throw new Error("Info can not be null");
    }
    const buffer = Buffer.from(info.data);
    const marketPrice = exports.MarketPriceLayout.decode(buffer);
    const details = {
        pubkey,
        account: Object.assign({}, info),
        info: marketPrice,
    };
    return details;
};
exports.PriceParser = PriceParser;
