/// <reference types="node" />
import BN from "bn.js";
import * as BufferLayout from 'buffer-layout';
import { AccountInfo, PublicKey } from "@solana/web3.js";
import { State } from "./index";
export interface Mining {
    version: number;
    owner: PublicKey;
    lendingMarket: PublicKey;
    miningIndices: MiningIndex[];
    unclaimedMine: BN;
}
export interface MiningIndex {
    reserve: PublicKey;
    unCollLTokenAmount: BN;
    index: BN;
}
export declare const MiningLayout: typeof BufferLayout.Structure;
export declare const MiningIndexLayout: typeof BufferLayout.Structure;
export declare const MiningParser: (pubkey: PublicKey, info: AccountInfo<Buffer>) => State<Mining>;
