import { Commitment, Connection, PublicKey, SendOptions, Signer, TransactionInstruction } from "@solana/web3.js";
import { TransactionResult } from "./common";
export declare abstract class LarixWallet {
    connection: Connection;
    sendOption?: SendOptions;
    confirm?: boolean;
    commitment?: Commitment;
    protected logger: ((msg: any) => void) | undefined;
    protected constructor(connection: Connection, sendOption?: SendOptions, confirm?: boolean, commitment?: Commitment, logger?: (msg: any) => void);
    abstract get publicKey(): PublicKey;
    abstract sendTransaction(instructions: TransactionInstruction[], signers: Signer[]): Promise<TransactionResult>;
}
export declare class LarixWebWallet extends LarixWallet {
    wallet: any;
    constructor(connection: Connection, wallet: any, sendOption?: SendOptions, confirm?: boolean, commitment?: Commitment, logger?: (msg: any) => void);
    get publicKey(): PublicKey;
    sendTransaction(instructions: TransactionInstruction[], signers: Signer[]): Promise<TransactionResult>;
}
export declare class LarixHDWallet extends LarixWallet {
    signer: Signer;
    constructor(connection: Connection, signer: Signer, sendOption?: SendOptions, confirm?: boolean, commitment?: Commitment, logger?: (msg: any) => void);
    get publicKey(): PublicKey;
    sendTransaction(instructions: TransactionInstruction[], signers: Signer[]): Promise<TransactionResult>;
}
