import { Connection, PublicKey, Signer, TransactionInstruction } from "@solana/web3.js";
import { TokenAccount } from "../models";
export declare function ensureSplAccount(instructions: TransactionInstruction[], cleanupInstructions: TransactionInstruction[], toCheck: TokenAccount, payer: PublicKey, amount: number, signers: Signer[]): PublicKey;
export declare function createUninitializedAccount(instructions: TransactionInstruction[], payer: PublicKey, amount: number, signers: Signer[]): PublicKey;
export declare function getOrCreateAssociatedTokenAccount(connection: Connection, instructions: TransactionInstruction[], payer: PublicKey, mint: PublicKey, owner: PublicKey): Promise<PublicKey>;
export declare function createUninitializedObligationAccount(instructions: TransactionInstruction[], payer: PublicKey, amount: number, signers: Signer[], lendingProgramID: PublicKey): PublicKey;
export declare function createUninitializedMiningAccount(instructions: TransactionInstruction[], lendingProgramID: PublicKey, payer: PublicKey, amount: number, signers: Signer[]): PublicKey;
export declare function findOrCreateAccountByMint(connection: Connection, payer: PublicKey, owner: PublicKey, instructions: TransactionInstruction[], cleanupInstructions: TransactionInstruction[], mint: PublicKey, // use to identify same type
signers: Signer[], account?: TokenAccount): Promise<PublicKey>;
