import { PublicKey, Signer, TransactionInstruction } from "@solana/web3.js";
import { LarixWallet, TransactionResult } from "../type";
export declare class LarixInstructionCollector {
    private readonly larixInstructions;
    private readonly wallet;
    readonly transactionResults: TransactionResult[];
    constructor(wallet: LarixWallet, transactions?: LarixInstruction[]);
    add(transactionElement: LarixInstruction): void;
    newTransaction(): void;
    get signers(): Signer[];
    get cleanupInstructions(): TransactionInstruction[];
    get instructions(): TransactionInstruction[];
    addInstruction(instruction: TransactionInstruction): void;
    addCleanupInstruction(instruction: TransactionInstruction): void;
    addSigner(signer: Signer): void;
    get lastTransaction(): LarixInstruction;
    send(): Promise<TransactionResult[]>;
}
export declare class LarixInstruction {
    instruction: TransactionInstruction[];
    cleanupInstruction: TransactionInstruction[];
    private wallet;
    signers: Signer[];
    constructor(wallet: LarixWallet, instructions?: TransactionInstruction[], cleanupInstructions?: TransactionInstruction[], signers?: Signer[]);
    get instructions(): TransactionInstruction[];
    get allInstructions(): TransactionInstruction[];
    get cleanupInstructions(): TransactionInstruction[];
    addInstruction(instruction: TransactionInstruction): void;
    addCleanupInstruction(instruction: TransactionInstruction): void;
    addSigner(signer: Signer): void;
    mergeTransaction(other: LarixInstruction): void;
    isReachTransactionLimit(other: LarixInstruction, user: PublicKey): boolean;
    send(): Promise<TransactionResult>;
}
